#include <iostream>

using namespace std;

int main()
{
    int N, A;
    cin >> N >> A;
    int ekipa1[3];
    int ekipa2[3];
    if ((N / A) < 3)
    {
        cout << -1;
        return 0;
    }
    ekipa1[0] = A;
    ekipa1[1] = A;
    if (N - 2 * A == A)
    {
        ekipa1[2] = A;
        ekipa2[0] = 0;
        ekipa2[1] = 0;
        ekipa2[2] = 0;
    }
    for (int i = 0; i < 3; i++)
    {
        cout << ekipa1[i] << " " << ekipa2[i] << endl;
    }

}